org.apache.cayenne.access.jdbc.reader

## Class DefaultRowReaderFactory

- java.lang.Object
- - org.apache.cayenne.access.jdbc.reader.DefaultRowReaderFactory

- All Implemented Interfaces:
    RowReaderFactory

      public class DefaultRowReaderFactory
      extends Object
      implements RowReaderFactory

  Since:
    4.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DefaultRowReaderFactory.PostprocessorFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRowReaderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RowReader<?>` | `createEntityRowReader(RowDescriptor descriptor, QueryMetadata queryMetadata, EntityResultSegment resultMetadata, DefaultRowReaderFactory.PostprocessorFactory postProcessorFactory)`
    `protected RowReader<?>` | `createFullRowReader(RowDescriptor descriptor, QueryMetadata queryMetadata, DefaultRowReaderFactory.PostprocessorFactory postProcessorFactory)`
    `protected RowReader<?>` | `createScalarRowReader(RowDescriptor descriptor, QueryMetadata queryMetadata, ScalarResultSegment segment)`
    `RowReader<?>` | `rowReader(RowDescriptor descriptor, QueryMetadata queryMetadata, DbAdapter adapter, Map<ObjAttribute,ColumnDescriptor> attributeOverrides)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRowReaderFactory

          public DefaultRowReaderFactory()

  - ### Method Detail

    - #### rowReader

          public RowReader<?> rowReader(RowDescriptor descriptor,
                                        QueryMetadata queryMetadata,
                                        DbAdapter adapter,
                                        Map<ObjAttribute,ColumnDescriptor> attributeOverrides)

      Specified by:
        `rowReader` in interface `RowReaderFactory`

    - #### createScalarRowReader

          protected RowReader<?> createScalarRowReader(RowDescriptor descriptor,
                                                       QueryMetadata queryMetadata,
                                                       ScalarResultSegment segment)

    - #### createEntityRowReader

          protected RowReader<?> createEntityRowReader(RowDescriptor descriptor,
                                                       QueryMetadata queryMetadata,
                                                       EntityResultSegment resultMetadata,
                                                       DefaultRowReaderFactory.PostprocessorFactory postProcessorFactory)

    - #### createFullRowReader

          protected RowReader<?> createFullRowReader(RowDescriptor descriptor,
                                                     QueryMetadata queryMetadata,
                                                     DefaultRowReaderFactory.PostprocessorFactory postProcessorFactory)

Copyright © 2001–2023 Apache Cayenne. All rights reserved.